/******************
    User custom CSS
    ---------------

    In this file you can add your own custom CSS
    It will be loaded last, so you can override any other property.
    Also, it will never be updated. So if you inheritate a core template and just add here some CSS, you'll still benefit of all the updates
*/

/* Hauptseite Jumbotron & Footer ausblenden */
#surveyListFooter,
#surveys-list-jumbotron {
    display: none;
}

.navbar-right {
    display: none;
}

.question-title-container {
    font-size: x-large;    
}

.ls-questionhelp {
    text-align: center;
}

.answer-item img,
.answertext img {
    max-width: 80% !important;
    margin: 0.5em auto;
    display: block;
}

.answer-item,
.answer-item .control-label,
.answertext.control-label {
    text-align: center !important;
}

.radio-item label::before,
.checkbox-item label::before,
.radio-item label::after,
.checkbox-item label::after {
    display: none;
}

.answer-item input[type="checkbox"]:checked + label,
.answer-item input[type="radio"]:checked + label {
    color: #fff;
    background-color: #337ab7;
    border-color: #2e6da4;
}

.subquestion-list .answer-item i.fa {
    font-size: 4em;
}

/*@media screen and (max-width: 1025px) {
*/
    .subquestion-list .answer-item input[type="checkbox"]:checked + label,
    .subquestion-list .answer-item input[type="radio"]:checked + label {
        color: transparent;
        background: none;
        border: none;
        height: 8em;
        width: 8em;
    }

/*}
*/

.subquestion-list td.answer-item {
    vertical-align: middle;
}

.answers-list .button-item {
    white-space: normal;
}

.answers-list .button-item.btn-primary:not(.focus),
.answers-list .button-item.btn-primary:not(.active) {
    background: none;
    color: #2e6da4;
}

#toTop {
    position: fixed;
    right: 5px;
    bottom: 5px;
    width: 140px;
}


/*
.table-fixed thead {
  width: 97%;
}
.table-fixed tbody {
  overflow-y: auto;
  width: 100%;
}
.table-fixed thead, .table-fixed tbody, .table-fixed tr, .table-fixed td, .table-fixed th {
  display: block;
  width: 100%;
}

.table-fixed tbody td, .table-fixed thead > tr> th {
  float: left;
  border-bottom-width: 0;
}
*/

.table-fixed {
    display: flex;
    flex-flow: column;
    width: 100%;
}

.table-fixed thead {
    flex: 0 0 auto;
}

.table-fixed tbody {
    flex: 1 1 auto;
    display: block;
    overflow-y: auto;
    overflow-x: hidden;
/*    width: calc(100% + 15px);
*/
    width: 100%;
}

.table-fixed tr {
    width: 100%;
    display: table;
    table-layout: fixed;
}

.table-fixed .thead-small img {
    max-width: 40%;
    display: block;
    margin: auto;
}


.completed-text {
    text-align: center;
    font-size: 3em;
    margin-top: 2em;
}

.answer-item label {
  width: 100%;
  min-height: 200px;
  display: inline-block;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.ls-questionhelp {
    color: #115599;
}

.btn-primary {
    border: solid 1px #115599;
    background: rgba(17, 85, 153, .5);
}

.btn-primary:hover, .btn-primary:focus {
    background: #115599;
}

.text-primary {
    color: #555;
}


:root {
  --bs-primary: #555;
  --bs-primary-rgb: rgba(85, 85, 85, 1);
}

